%global namedreltag .Final
%global namedversion %{version}%{?namedreltag}
Name:          jboss-j2eemgmt-1.1-api
Version:       1.0.1
Release:       3%{?dist}
Summary:       Java EE Management 1.1 API
Group:         Development/Libraries
License:       LGPLv2+
URL:           http://www.jboss.org/
# git clone git://github.com/jboss/jboss-j2eemgmt-api_spec.git jboss-j2eemgmt-1.1-api
# cd jboss-j2eemgmt-1.1-api/ && git archive --format=tar --prefix=jboss-j2eemgmt-1.1-api/ jboss-j2eemgmt-api_1.1_spec-1.0.1.Final | xz > jboss-j2eemgmt-1.1-api-1.0.1.Final.tar.xz
Source0:       %{name}-%{namedversion}.tar.xz

BuildRequires: java-devel
BuildRequires: jboss-specs-parent
BuildRequires: jpackage-utils

BuildRequires: jboss-ejb-3.1-api

BuildRequires: maven
BuildRequires: maven-compiler-plugin
BuildRequires: maven-enforcer-plugin
BuildRequires: maven-install-plugin
BuildRequires: maven-jar-plugin
BuildRequires: maven-javadoc-plugin
BuildRequires: maven-plugin-bundle
BuildRequires: maven-resources-plugin
BuildRequires: maven-source-plugin
BuildRequires: maven-surefire-plugin

Requires:      jboss-ejb-3.1-api

Requires:      java
Requires:      jpackage-utils
BuildArch:     noarch

%description
JSR-77: Java (TM) EE Management 1.1 API.

%package javadoc
Group:         Documentation
Summary:       Javadoc for %{name}
Requires:      jpackage-utils

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n %{name}

%build

mvn-rpmbuild install javadoc:aggregate

%install

mkdir -p %{buildroot}%{_javadir}
install -m 644 target/jboss-j2eemgmt-api_1.1_spec-%{namedversion}.jar \
  %{buildroot}%{_javadir}/%{name}.jar

mkdir -p %{buildroot}%{_mavenpomdir}
install -m 644 pom.xml %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom
%add_maven_depmap JPP-%{name}.pom %{name}.jar

mkdir -p %{buildroot}%{_javadocdir}/%{name}
cp -rp target/site/apidocs/* %{buildroot}%{_javadocdir}/%{name}

%files
%{_javadir}/%{name}.jar
%{_mavenpomdir}/JPP-%{name}.pom
%{_mavendepmapfragdir}/%{name}

%files javadoc
%{_javadocdir}/%{name}

%changelog
* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Tue May 08 2012 gil cattaneo <puntogil@libero.it> 1.0.1-2
- add maven and maven-enforcer-plugin to BR

* Tue Apr 24 2012 gil cattaneo <puntogil@libero.it> 1.0.1-1
- initial rpm

